%global debug_package %{nil}

Name:		pinta
Version:	1.4
Release:	%mkrel 4
Summary:	An easy to use drawing and image editing program
Group:		Graphics/Editors and Converters

# the code is licensed under the MIT license while the icons are licensed as CC-BY
License:	MIT and CC-BY-3.0
URL:		http://pinta-project.com/
Source0:	http://github.com/downloads/PintaProject/Pinta/%{name}-%{version}.tar.gz
Patch0:		pinta-1.4-mono-addins-1.0.patch
# Mono only available on these:
ExclusiveArch: %ix86 x86_64 ppc ppc64 ia64 %{arm} sparcv9 alpha s390x

Requires:	hicolor-icon-theme
BuildRequires:	mono-devel
BuildRequires:	pkgconfig(mono-addins)
BuildRequires:	gtk-sharp2-devel
BuildRequires:	gtk-sharp2
BuildRequires:	gettext
BuildRequires:	glib-sharp2
BuildRequires:	intltool

%description
Pinta is an image drawing/editing program.
It's goal is to provide a simplified alternative to GIMP for casual users.

%prep
%setup -q
%apply_patches

sed -i -e 's!$(InstallPrefix)/lib/!$(InstallPrefix)/%{_lib}/!' Pinta/Pinta.csproj
sed -i -e 's!@prefix@/lib/!%{_libdir}/!' pinta.in
sed -i -i 's!$(InstallPrefix)/lib/!$(InstallPrefix)/%{_lib}/!' Pinta.Install.proj

%build
%configure2_5x
%make

%install
%makeinstall_std

%find_lang %name

%files -f %{name}.lang
%doc readme.md license-mit.txt license-pdn.txt
%{_libdir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}.*
%{_datadir}/man/man1/%{name}*
%{_datadir}/pixmaps/%{name}*


%changelog
* Sat Jan 04 2014 pterjan <pterjan> 1.4-4.mga4
+ Revision: 564633
- Add a pacth to build against Mono.Addins 1.0

  + fwang <fwang>
    - br addins

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 377748
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Sat Sep 29 2012 malo <malo> 1.4-1.mga3
+ Revision: 299208
- update to 1.4
- RPM group update to Graphics/Editors

* Thu Jun 07 2012 malo <malo> 1.3-1.mga3
+ Revision: 256663
- update to 1.3
- drop upstream patch that was merged

* Mon Apr 23 2012 malo <malo> 1.1-2.mga2
+ Revision: 232882
- add patch to fix crash because of missing icons when using Oxygen #5362

* Tue Feb 21 2012 malo <malo> 1.1-1.mga2
+ Revision: 211357
- missing BuildRequires mono-addins
- missing BuildRequires to intltool
- spec clean-up after import from Mandriva
- update to 1.1
- imported package pinta


* Mon Oct 03 2011 Александр Казанцев <kazancas@mandriva.org> 1.0-1mdv2012.0
+ Revision: 702606
- imported package pinta

